GNU bug report logs - #58004
29.0.50; Bounding box of image-crop is unnoticable in certain cases

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Visuwesh <visuweshm@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 58004 <at> debbugs.gnu.org:


Received: (at 58004) by debbugs.gnu.org; 23 Sep 2022 16:29:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 12:29:53 2022
Received: from localhost ([127.0.0.1]:41603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oblYn-0000jF-Co
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:29:53 -0400
Received: from mail-pl1-f196.google.com ([209.85.214.196]:46661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oblYl-0000j1-8B
 for 58004 <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:29:51 -0400
Received: by mail-pl1-f196.google.com with SMTP id jm5so623317plb.13
 for <58004 <at> debbugs.gnu.org>; Fri, 23 Sep 2022 09:29:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=KpuOWyZb4ViCCDTcBbir9g8CYJE51OVKvPShPf1h/rg=;
 b=UZdM+qwfD4J6TEdDMhSIs9TfUoVuGq4to33e0WrHW9pb/5luxZbccoP4JL9ZfrUFq0
 dnRitycjurDZZpatdoV9SA5UbsI6CqHJtDc1MyWRD3jBWSdMVB5QxD4xVy8CPyMpFAHE
 ljEuTqpLkcHF7GexQATiGGoo4/mUbsRgFhwy83c2KZsIWtbOr/LTTzk5N0iU3nSV/gpk
 NSx0ifWia3X4amSYZ90W/SwrTCotuOUvHCt9IoZnayIbsHGoSb6bQJgPp0d8mvgdWj5s
 8fjq5CqggHHprkXkxWjaBgA6k9o+rZUs1bVIQzweRgTLz49MK3r856FJ+zLZQC1y71v3
 2C4Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date;
 bh=KpuOWyZb4ViCCDTcBbir9g8CYJE51OVKvPShPf1h/rg=;
 b=U6FJ2pWcW1UIYR1JgbXPJWiVhrdZanncrYXrqH9UbRAODZiHbkQWkMp+tzv9yelLXf
 gSeY+dtwgkb2ll56nBNeXHP4WJwDH9UnOk8J+zAfQldFU/oTl5Pzmmu3kKE3UV08tglR
 gWhXs0ozfw2HB8ptEHPYcHus0cGFQDYGNe72Qjv26b4ljQhO0NuIYs+mFhPD1mPzEPq1
 QQ6L80pY/4ohL+GggVoB2nOfU6QG0fl8LpyfMnYFVPa9WQXGLxXM8IgadHG/hbDHhnRD
 IRpVjymsCPIbvaTdYJHQxrniAaWOAIlAS2fAA02ov1QniXJSgW/O116UwkXy9GfCCrN2
 5YIA==
X-Gm-Message-State: ACrzQf0VDI/OYFeF4FT+dEADYOlYAEwM91lFUPSB3+CeUz8krQX5i8sd
 7rOnxITS+VsFDllMXEbCrWE=
X-Google-Smtp-Source: AMsMyM7tXpBiU3KBvkFthxWgXEvs4Jis2mhHIsHSbZP+823IgzqWhcL2ZNtIa/4rzP/RHDcTz1B5cA==
X-Received: by 2002:a17:90b:388e:b0:202:c42a:d360 with SMTP id
 mu14-20020a17090b388e00b00202c42ad360mr22245354pjb.158.1663950585106; 
 Fri, 23 Sep 2022 09:29:45 -0700 (PDT)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 s18-20020a170902c65200b001784a45511asm6124776pls.79.2022.09.23.09.29.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 23 Sep 2022 09:29:44 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#58004: 29.0.50; Bounding box of image-crop is unnoticable
 in certain cases
In-Reply-To: <878rma3wap.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 23 Sep 2022 18:11:42 +0200")
References: <8735cj1o8l.fsf@HIDDEN> <87illepmqo.fsf@HIDDEN>
 <878rma3wap.fsf@HIDDEN>
Date: Fri, 23 Sep 2022 21:59:40 +0530
Message-ID: <87zgeqjbpn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58004
Cc: 58004 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

W+CuteCvhuCus+CvjeCus+CuvyDgrprgr4bgrqrgr43grp/grq7gr43grqrgrrDgr40gMjMsIDIw
MjJdIExhcnMgSW5nZWJyaWd0c2VuIHdyb3RlOg0KDQo+IExvb2tzIHZlcnkgbmljZTsgcHVzaGVk
IHRvIEVtYWNzIDI5Lg0KDQpUaGFua3MhDQo=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58004; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 58004 <at> debbugs.gnu.org and Visuwesh <visuweshm@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58004 <at> debbugs.gnu.org:


Received: (at 58004) by debbugs.gnu.org; 23 Sep 2022 16:11:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 12:11:52 2022
Received: from localhost ([127.0.0.1]:41521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oblHM-0006Qq-HG
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:11:52 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oblHK-0006Qd-SZ
 for 58004 <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:11:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=JsTYJG6hCEM24FbPJZF0ng8AsiiaCM+UMMtRGBp5EbE=; b=M3Qkvuf2swtZqbeqD5eP9HSgtx
 IUyiUhfQ0gStzEjiGMJBshuX7kV2jRozmXroqrY6SJaITs2ylVMv5kNhmW22kxe2069tgrG7KT8gX
 l9XoqtcYlLTUsu3CKjPrCI3vSs0YiiObKT75hjYYZuYUvd9a9F4O/4q1qcxvlQuAVV5Y=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oblHD-0003SB-5j; Fri, 23 Sep 2022 18:11:45 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#58004: 29.0.50; Bounding box of image-crop is unnoticable
 in certain cases
In-Reply-To: <87illepmqo.fsf@HIDDEN> (Visuwesh's message of "Fri, 23 Sep
 2022 13:04:55 +0530")
References: <8735cj1o8l.fsf@HIDDEN> <87illepmqo.fsf@HIDDEN>
X-Now-Playing: Kate Bush's _Never For Ever_: "Delius (Song of Summer)"
Date: Fri, 23 Sep 2022 18:11:42 +0200
Message-ID: <878rma3wap.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Visuwesh <visuweshm@HIDDEN> writes: > Revised patch
 attached.
 I decided to make the stroke colour red since > white was not exactly
 noticeable, 
 and decreased the size of stroke width > since darkening makes the bounding
 box noticeable e [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58004
Cc: 58004 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Visuwesh <visuweshm@HIDDEN> writes:

> Revised patch attached.  I decided to make the stroke colour red since
> white was not exactly noticeable, and decreased the size of stroke width
> since darkening makes the bounding box noticeable enough.

Looks very nice; pushed to Emacs 29.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58004; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Sep 2022 07:35:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 03:35:25 2022
Received: from localhost ([127.0.0.1]:39271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obdDZ-0002wO-0g
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 03:35:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:46716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1obdDV-0002wF-Do
 for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 03:35:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53348)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <visuweshm@HIDDEN>)
 id 1obdDJ-00028u-AI
 for bug-gnu-emacs@HIDDEN; Fri, 23 Sep 2022 03:35:15 -0400
Received: from mail-pj1-x1041.google.com ([2607:f8b0:4864:20::1041]:53185)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <visuweshm@HIDDEN>)
 id 1obdDG-00050B-LY
 for bug-gnu-emacs@HIDDEN; Fri, 23 Sep 2022 03:35:08 -0400
Received: by mail-pj1-x1041.google.com with SMTP id go6so12149725pjb.2
 for <bug-gnu-emacs@HIDDEN>; Fri, 23 Sep 2022 00:35:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:to:from:from:to:cc:subject:date;
 bh=6aR5HoQ0hbXudNQvGzNburUhZVeohZacBMCVm59a3h0=;
 b=bwNmMC2C7VMmTsZ3XMzP4w0mCBSlT3XKzxkfHK/cSnYvVLAuMmczhR4P7rdLiRecit
 Jv/7ucO/VUuIY/qQGo/kBY/AH5sWhHGVhM1sSYMmy2tTL1pgNVT686EThDKeYk0E7Wc0
 o2H5kPBf2Pd3t+Z4ZfDaVonUZxn4Srhhwc15ekN2nzKFH3vJ1S1VHsNm4pAGWwaFeuBU
 fe6NMlgH2GbDUQD3bfTLF0Bl+NCZlpDP7L+zQTnBsiM7DN56Nc6kPKojEZypnDuA9tRs
 0f8uPboH7ZN2wP00NNsG+ZelVyhrX4DJqDyChKQ8NNTzGbuEKsFlM1JhbK4vDqET3uxd
 dceg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:to:from:x-gm-message-state:from:to:cc:subject:date;
 bh=6aR5HoQ0hbXudNQvGzNburUhZVeohZacBMCVm59a3h0=;
 b=5hd43rUuySi7GTwZOFaIDb5hvMojNYeiSiiUHJcgNmb8QiBSer0eOJQCeIZqAECqe7
 fclwoQn0qAxXDpqULmWAwzrozJ/Xvo6+Mc4yuUBEx50E9ZljpV6r+oBXpHqcWWEF05cB
 XT+VNRwja8VZ0Q9kXDV53O9DSBwTBhc9X7FadqD8oiPcAVjKjyXFbNSi6vIwKd/0OQ6t
 8KIk5KmOJ9EnE9nrALYvLWjnoqMPerDJWkdvkSlcQhVSAzoJ9lxbMhB2Bfg+0Pmfdv8a
 gjGfFmo4MS8bRtCay0Fq6+Vpd56i6UI1oFBRzXtH7ct0uw7onwiMCQ81kzKeyHzV/a0K
 +VvA==
X-Gm-Message-State: ACrzQf26/ooibFuH3eu42IBMgdszex+KdjjbUdApxeh9gcgqi1Jnvmbl
 tCm74Ms/VJqgrQjrqh2GvUMQQaJhjSU=
X-Google-Smtp-Source: AMsMyM7JTIuaWzifzwHyZxuBG0Yl8QL3G2Db6HejUVtOPJrWGzZOK5DM3S1s4MOsYhdhX6hf40x02w==
X-Received: by 2002:a17:902:be18:b0:178:b9c9:97b8 with SMTP id
 r24-20020a170902be1800b00178b9c997b8mr7000918pls.38.1663918504631; 
 Fri, 23 Sep 2022 00:35:04 -0700 (PDT)
Received: from localhost ([115.240.90.130]) by smtp.gmail.com with ESMTPSA id
 oa16-20020a17090b1bd000b001f30b100e04sm983068pjb.15.2022.09.23.00.35.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 23 Sep 2022 00:35:03 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: 29.0.50; Bounding box of image-crop is unnoticable in certain
 cases
In-Reply-To: <8735cj1o8l.fsf@HIDDEN> (Visuwesh's message of "Thu, 22 Sep
 2022 19:54:10 +0530")
References: <8735cj1o8l.fsf@HIDDEN>
Date: Fri, 23 Sep 2022 13:04:55 +0530
Message-ID: <87illepmqo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2607:f8b0:4864:20::1041;
 envelope-from=visuweshm@HIDDEN; helo=mail-pj1-x1041.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

[=E0=AE=B5=E0=AE=BF=E0=AE=AF=E0=AE=BE=E0=AE=B4=E0=AE=A9=E0=AF=8D =E0=AE=9A=
=E0=AF=86=E0=AE=AA=E0=AF=8D=E0=AE=9F=E0=AE=AE=E0=AF=8D=E0=AE=AA=E0=AE=B0=E0=
=AF=8D 22, 2022] Visuwesh wrote:

> Attached patch is an attempt to make the bounding box of image-crop more
> noticeable.

Revised patch attached.  I decided to make the stroke colour red since
white was not exactly noticeable, and decreased the size of stroke width
since darkening makes the bounding box noticeable enough.


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=0001-Make-bounding-box-of-image-crop-more-noticeable.patch

From e2e5935e6ee26464f0a8473c7ead7f7dce5b4aae Mon Sep 17 00:00:00 2001
From: Visuwesh <visuweshm@HIDDEN>
Date: Thu, 22 Sep 2022 19:49:18 +0530
Subject: [PATCH] Make bounding box of 'image-crop' more noticeable

* lisp/image/image-crop.el (image-crop--crop-image-1): Darken the
selected region to make the bounding-box more noticable in images
which are mostly white.  (bug#58004)
---
 lisp/image/image-crop.el | 16 ++++------------
 1 file changed, 4 insertions(+), 12 deletions(-)

diff --git a/lisp/image/image-crop.el b/lisp/image/image-crop.el
index 39c5757636..1058f11102 100644
--- a/lisp/image/image-crop.el
+++ b/lisp/image/image-crop.el
@@ -349,18 +349,10 @@ image-crop--crop-image-1
 		((memq (car event) '(mouse-1 drag-mouse-1))
 		 (setq state 'move-unclick
                        prompt (format "Click to move for %s" op)))))))))
-     do (svg-line svg (cl-getf area :left) (cl-getf area :top)
-		  (cl-getf area :right) (cl-getf area :top)
-		  :id "top-line" :stroke-color "white")
-     (svg-line svg (cl-getf area :left) (cl-getf area :bottom)
-	       (cl-getf area :right) (cl-getf area :bottom)
-	       :id "bottom-line" :stroke-color "white")
-     (svg-line svg (cl-getf area :left) (cl-getf area :top)
-	       (cl-getf area :left) (cl-getf area :bottom)
-	       :id "left-line" :stroke-color "white")
-     (svg-line svg (cl-getf area :right) (cl-getf area :top)
-	       (cl-getf area :right) (cl-getf area :bottom)
-	       :id "right-line" :stroke-color "white")
+     do (svg-rectangle svg (cl-getf area :left) (cl-getf area :top)
+                       (image-crop--width area) (image-crop--height area)
+                       :stroke-color "red" :stroke-width 2
+                       :fill-opacity 0.3 :fill "black" :id "rect")
      while (not (member event '(return ?q)))
      finally (return (and (eq event 'return)
 			  area)))))
-- 
2.35.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58004; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Sep 2022 14:24:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 22 10:24:40 2022
Received: from localhost ([127.0.0.1]:38190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obN83-00065o-Nv
	for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 10:24:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:49922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1obN82-00065g-4o
 for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 10:24:38 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38608)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <visuweshm@HIDDEN>)
 id 1obN7z-0007l5-6y
 for bug-gnu-emacs@HIDDEN; Thu, 22 Sep 2022 10:24:36 -0400
Received: from mail-pf1-x444.google.com ([2607:f8b0:4864:20::444]:40795)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <visuweshm@HIDDEN>)
 id 1obN7w-0004Rp-Uu
 for bug-gnu-emacs@HIDDEN; Thu, 22 Sep 2022 10:24:34 -0400
Received: by mail-pf1-x444.google.com with SMTP id b75so9466783pfb.7
 for <bug-gnu-emacs@HIDDEN>; Thu, 22 Sep 2022 07:24:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:subject:to:from:from:to:cc
 :subject:date; bh=YrDFHx2plsFBzGlERpHOyW6opqPT4SfKWjh1VD9UPvs=;
 b=bRUY49wfaloNef6hqm2yOEZxzt4AjS9bfRdxd4ACPaKD2SOUxBLjNhP6gi82Jy955W
 IanbPDt+MGRBEZVEEX3NKiYZ2TOSMkiu4eF58X4icRgbDLBsfXToH2kstNgPVUiOHUGe
 oC/GYh6ef2RFkYi4l2Eqdbba9EUyQBNeD2UFvd2lWZMbGG6R8DXrj5fPLuWk1tKa6nHV
 B62NbWb3uR5X07p5IaFaXMEdfL/TLxoKs/Ugstx4z5HiOIlq5EXImV6K+84Y8YSbEck0
 Tz4FPmqsdLN5toq7bzgzebA0dHPrmvD1FmcOCzIpQx2IvEjq58L3O4xxqxjk/KDiQo31
 8myw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:subject:to:from
 :x-gm-message-state:from:to:cc:subject:date;
 bh=YrDFHx2plsFBzGlERpHOyW6opqPT4SfKWjh1VD9UPvs=;
 b=0xv2CG3o+mu+fWdF+wtdbuqf2EwoeCpFCj2cFENR6e9cRqMTtsaGfCMR52DDiDkMqw
 4dgPiNnAAnXDIu3Pd3ql03CBeSDov6hEDbG27peMfYbMcPXQmbuPOOyz9Kqpdw1GsKHj
 rsFlcNJRXcu0cAaucX2fxXO9B4M/HV20aowBtsFFPoRUgkygVTNiW2TjdEtponZh5yG0
 sxdYd8HOJU80NpPsQWoXHKnrcnt7BwqlnQJsemTglgHknAU4BZPx8+ttXrw5TvBFvf5V
 vFzMyX7vqB5zEr6zoKHtk+7GKWpkEqt70ZPQPplVaya1dueuayVpveSH5ETfL3djdep8
 zabg==
X-Gm-Message-State: ACrzQf3c2PH9NOGCvpMzTH/Xl2rmGPDvRifYLZsOdD+Ez6/49t/37/sL
 miJFIRFcDCHfOWu1A5AO0tk1O72/WFs=
X-Google-Smtp-Source: AMsMyM4lZjB9kyoxhlDndtwXNxCvkj9QbegH3KTx7/k/6APoi3kg/bA+XVBNYrCr+/ayrKYrTOPAsw==
X-Received: by 2002:a63:e953:0:b0:42a:2b07:3ff5 with SMTP id
 q19-20020a63e953000000b0042a2b073ff5mr3170431pgj.348.1663856665526; 
 Thu, 22 Sep 2022 07:24:25 -0700 (PDT)
Received: from localhost ([115.240.90.130]) by smtp.gmail.com with ESMTPSA id
 l24-20020a17090aaa9800b00203c0a1d56bsm3615200pjq.35.2022.09.22.07.24.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 22 Sep 2022 07:24:24 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Bounding box of image-crop is unnoticable in certain cases
Date: Thu, 22 Sep 2022 19:54:10 +0530
Message-ID: <8735cj1o8l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2607:f8b0:4864:20::444;
 envelope-from=visuweshm@HIDDEN; helo=mail-pf1-x444.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain

Attached patch is an attempt to make the bounding box of image-crop more
noticeable.
If you're using image-crop in an image that is mostly white, then it is
very hard to notice the bounding box in a light theme.  I looked for a
way to draw a border around the lines in svg but was unable to find
anything so I settled for drawing a rectangle and darkening the inside
of that rectangle.  Alternatively, one can make the rectangle stroke red
since it is probably rare to come across an image that is mostly red.

Before and after can be tested on the attached image named
"vector_addition.png"


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=0001-Make-bounding-box-of-image-crop-more-noticeable.patch

From 5d0b1684b722c165e69fc5f498904d29bed22d88 Mon Sep 17 00:00:00 2001
From: Visuwesh <visuweshm@HIDDEN>
Date: Thu, 22 Sep 2022 19:49:18 +0530
Subject: [PATCH] Make bounding box of 'image-crop' more noticeable

Make the selected region slightly darker to make the bounding-box more
noticable in images which are mostly white.

* lisp/image/image-crop.el (image-crop--crop-image-1): Draw an actual
rectangle and darken the selected area.
---
 lisp/image/image-crop.el | 16 ++++------------
 1 file changed, 4 insertions(+), 12 deletions(-)

diff --git a/lisp/image/image-crop.el b/lisp/image/image-crop.el
index 39c5757636..35b8d3004d 100644
--- a/lisp/image/image-crop.el
+++ b/lisp/image/image-crop.el
@@ -349,18 +349,10 @@ image-crop--crop-image-1
 		((memq (car event) '(mouse-1 drag-mouse-1))
 		 (setq state 'move-unclick
                        prompt (format "Click to move for %s" op)))))))))
-     do (svg-line svg (cl-getf area :left) (cl-getf area :top)
-		  (cl-getf area :right) (cl-getf area :top)
-		  :id "top-line" :stroke-color "white")
-     (svg-line svg (cl-getf area :left) (cl-getf area :bottom)
-	       (cl-getf area :right) (cl-getf area :bottom)
-	       :id "bottom-line" :stroke-color "white")
-     (svg-line svg (cl-getf area :left) (cl-getf area :top)
-	       (cl-getf area :left) (cl-getf area :bottom)
-	       :id "left-line" :stroke-color "white")
-     (svg-line svg (cl-getf area :right) (cl-getf area :top)
-	       (cl-getf area :right) (cl-getf area :bottom)
-	       :id "right-line" :stroke-color "white")
+     do ;;(svg-remove svg "rect")
+        (svg-rectangle svg (cl-getf area :left) (cl-getf area :top)
+                       (image-crop--width area) (image-crop--height area)
+                       :stroke-color "white" :fill-opacity 0.3 :fill "black" :id "rect")
      while (not (member event '(return ?q)))
      finally (return (and (eq event 'return)
 			  area)))))
-- 
2.35.1


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=vector_addition.png
Content-Transfer-Encoding: base64
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--=-=-=--




Acknowledgement sent to Visuwesh <visuweshm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58004; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 23 Sep 2022 16:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.